FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

List concessions

Returns the details of any concessions or arrangements applied to a energy accounts authorised by the end user

AI Actions
GET
/v1/energy/concessions

Returns the details of any concessions or arrangements applied to a energy accounts authorised by the end user

Query Parameters

end_user_idstringrequired

A unique identifier for the End User object.

page[before]string

When the page[before] is specified, backwards pagination is achieved

page[after]string

When the page[after] is specified, forwards pagination is achieved

page[size]integer

When the page[size] is specified, no more than page[size] resources will be included in the response's data field. This parameter is set to a sensible default, which varies depending on the endpoint. It is capped at 1000.

Response Body

application/json

application/json

application/json

curl -X GET "https://api.fiskil.com/v1/energy/concessions?end_user_id=string"
{
  "concessions": [
    {
      "account_id": "acc123",
      "additional_info": "The government issued a one-off rebate for electricity plans",
      "additional_info_uri": "https://www.energy.com/rebate",
      "amount": "40.00",
      "applied_to": [
        "CONTROLLED_LOAD",
        "INVOICE"
      ],
      "arrangement_id": "arr678",
      "discount_frequency": "P1Y",
      "display_name": "Government Rebate",
      "end_date": "2024-12-31",
      "fiskil_id": "energy_concession_abcdef123",
      "institution_id": "140",
      "percentage": "0.05",
      "start_date": "2024-01-01",
      "type": "FIXED_AMOUNT"
    }
  ],
  "links": {
    "next": "https://api.fiskil.com/v1/accounts?page[after]=x",
    "prev": "https://api.fiskil.com/v1/accounts?page[before]=x"
  }
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}

Was this page helpful?

Get billing transactionsList DER (Distributed Energy Resources)